> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Intake



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/onboarding/intake
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/onboarding/intake:
    patch:
      tags:
        - Onboarding
      summary: Intake
      operationId: OnboardingController_intake_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveOnboardingIntakeDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    SaveOnboardingIntakeDto:
      type: object
      properties:
        expectedVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        intake:
          type: object
          properties:
            companyType:
              type: string
              enum:
                - design
                - procurement
                - owner_operator
                - other
            teamSize:
              type: string
              enum:
                - '1'
                - 2_4
                - 5_20
                - 21_plus
            useCase:
              type: string
              enum:
                - specifications
                - catalog
                - brand_standards
                - procurement
                - logistics
                - facilities
            migration:
              type: string
              enum:
                - none
                - spreadsheets
                - another_system
            wantsHelp:
              type: boolean
            wantsCustomTerms:
              default: false
              type: boolean
          required:
            - companyType
            - teamSize
            - useCase
            - migration
            - wantsHelp
          additionalProperties: false
      required:
        - expectedVersion
        - intake
      additionalProperties: false

````